Bug 1092069 - Foretello: System being registered using "subscription-manager register --activationkey=foo --org='bar' " does not increment the usage_count for the activation key
Summary: Foretello: System being registered using "subscription-manager register --act...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-28 16:30 UTC by Tom McKay
Modified: 2019-09-26 18:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:23:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5460 0 None None None 2016-04-22 16:19:05 UTC

Description Tom McKay 2014-04-28 16:30:39 UTC
Summary:

System being registered using "subscription-manager register --activationkey=foo --org='bar' " does not increment the usage_count for the activation key

Steps:
1. create a new org in Foretello 
2. create an activation key in Foretello
3. in Fortello, grab a manifest file with rhel 6.5 SKUs and upload to org
4. add some rhel 6.5 subscriptions to the activation key
5. in a rhel 6.5 system, update /etc/rhsm/rhsm.conf to use Foretello as the new subscription manager
6. in the rhel 6.5 system, run -- subscription-manager register --activationkey=foo --org='bar'
in hammer
=> ActivationKey usage_count isn't incremented
=> Association between System and ActivationKey isn't created


When subscription-manager calls
CandlepinProxiesController#consumer_activate, it doesn't seem to creates a association between System and ActivationKey.

Comment 1 Tom McKay 2014-04-28 16:30:41 UTC
Created from redmine issue http://projects.theforeman.org/issues/5460

Comment 3 Tom McKay 2014-08-04 18:09:58 UTC
Tested in Sat6-snap3 and it does appear that quantity is being tracked and honored. Please test.

Comment 4 sthirugn@redhat.com 2014-09-03 15:27:00 UTC
Verified.

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 5 Bryan Kearney 2014-09-11 12:23:16 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.